# Created by pyp2rpm-3.3.4
%global pypi_name xattr

Name:           python-%{pypi_name}
Version:        0.9.7
Release:        1%{?dist}
Summary:        Python wrapper for extended filesystem attributes

License:        MIT License
URL:            http://github.com/xattr/xattr
Source0:        %{pypi_source}

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3dist(cffi) >= 1
BuildRequires:  python3dist(cffi) >= 1
BuildRequires:  python3dist(setuptools)

%description
Extended attributes extend the basic attributes of files and directories in the
file system. They are stored as name:data pairs associated with file system
objects (files, directories, symlinks, etc).Extended attributes are currently
only available on Darwin 8.0+ (Mac OS X 10.4) and Linux 2.6+. Experimental
support is included for Solaris and FreeBSD.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cffi) >= 1
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Extended attributes extend the basic attributes of files and directories in the
file system. They are stored as name:data pairs associated with file system
objects (files, directories, symlinks, etc).Extended attributes are currently
only available on Darwin 8.0+ (Mac OS X 10.4) and Linux 2.6+. Experimental
support is included for Solaris and FreeBSD.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
## Tests will always fail in Copr, since xattrs are not enabled there.
# %{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{_bindir}/xattr
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Aug 24 2020 Peter Oliver <rpm@mavit.org.uk> - 0.9.7-1
- Initial package.
